#
# spec file for package spacewalk-monitoring
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define require_selinux 1

# No Selinux for RHEL 4:
%if 0%{?rhel} == 4 || 0%{?suse_version} 
%define require_selinux 0
%endif

Summary:        Spacewalk monitoring

Name:           spacewalk-monitoring
Source0:        spacewalk-monitoring-git-d43c328c017369fc66b8c3d2762e8262870aeceb.tar.gz
Version:        1.2.1
Release:        1.3
Url:            https://fedorahosted.org/spacewalk
License:        GPL v2 only
Group:          Applications/System
BuildArch:      noarch

%if 0%{?suse_version}
BuildRequires:  SatConfig-general
%endif

# Monitoring support
#we need this package for EL4
#Requires:       perl-CGI-mp20

# Monitoring packages
#we need to be sure that nocpulse home is correct
Requires(pre): nocpulse-common

Requires:       nocpulse-db-perl
Requires:       eventReceivers
Requires:       MessageQueue
Requires:       NOCpulsePlugins
Requires:       NPalert
Requires:       perl-NOCpulse-CLAC
Requires:       perl-NOCpulse-Debug
Requires:       perl-NOCpulse-Gritch
Requires:       perl-NOCpulse-Object
Requires:       perl-NOCpulse-OracleDB
Requires:       perl-NOCpulse-PersistentConnection
Requires:       perl-NOCpulse-Probe
Requires:       perl-NOCpulse-ProcessPool
Requires:       perl-NOCpulse-Scheduler
Requires:       perl-NOCpulse-SetID
Requires:       perl-NOCpulse-Utils
Requires:       ProgAGoGo
Requires:       SatConfig-bootstrap
Requires:       SatConfig-bootstrap-server
Requires:       SatConfig-cluster
Requires:       SatConfig-generator
Requires:       SatConfig-installer
Requires:       SatConfig-spread
Requires:       scdb
Requires:       SNMPAlerts
Requires:       SputLite-client
Requires:       SputLite-server
Requires:       ssl_bridge
Requires:       status_log_acceptor
Requires:       tsdb

%if %{require_selinux}
Requires:       spacewalk-monitoring-selinux
%endif

%if 0%{?suse_version}
Requires(post): aaa_base
Requires(preun): aaa_base
%else
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
%endif

Obsoletes:      LongLegs < 1.11.0
Obsoletes:      Time-System < 1.7.0

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package pulls in all of the Spacewalk Monitoring packages,
including all Backend and Scout functionality. And will install SysV
init scripts.



%prep
%setup -q -n spacewalk-monitoring-git-d43c328c017369fc66b8c3d2762e8262870aeceb

%build
# nothing to do

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
ln -s /etc/rc.d/np.d/sysvStep $RPM_BUILD_ROOT/%{_sbindir}/Monitoring
ln -s /etc/rc.d/np.d/sysvStep $RPM_BUILD_ROOT/%{_sbindir}/MonitoringScout
install Monitoring $RPM_BUILD_ROOT%{_initrddir}
install MonitoringScout $RPM_BUILD_ROOT%{_initrddir}

# add rc links
ln -sf ../../etc/init.d/Monitoring $RPM_BUILD_ROOT/%{_sbindir}/rcMonitoring
ln -sf ../../etc/init.d/MonitoringScout $RPM_BUILD_ROOT/%{_sbindir}/rcMonitoringScout

%post

%if 0%{?suse_version}
%{fillup_and_insserv Monitoring}
%{fillup_and_insserv MonitoringScout}
%else
/sbin/chkconfig --add Monitoring
/sbin/chkconfig --add MonitoringScout
%endif

%preun
%if 0%{?suse_version}  
%stop_on_removal Monitoring
%stop_on_removal MonitoringScout
%else
if [ $1 = 0 ] ; then
    /sbin/service MonitoringScout stop >/dev/null 2>&1
    /sbin/chkconfig --del MonitoringScout
    /sbin/service Monitoring stop >/dev/null 2>&1
    /sbin/chkconfig --del Monitoring
fi
%endif

%postun  
%if 0%{?suse_version}  
%{insserv_cleanup}  
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root,-)
%{_initrddir}/*
%{_sbindir}/*
%doc LICENSE

%changelog
* Mon Feb  7 2011 mc@suse.de
- add rc links (bnc#669894)
* Sun Jan 30 2011 mc@suse.de
- create nocpulse ssh key in init script
  (bnc#666999)
* Wed Sep 15 2010 mantel@suse.de
- Initial release of spacewalk-monitoring
